# DEST/Makefile 
############################################################################

# use same configuration parameters as in directory above 
include ../Config.common
include ../Config.site

# compilation flags specific for this directory
DESTCFLAGS = # -g 

SEDIR = ../SE

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
CXXSRCS = dest.C ui_dest.C ui_expert.C vector2d.C Common.C \
	  DynamicVector.C \
	  CompressedColor.C Impact.C ImpactStore.C \
          CoefficientStream.C Kernel.C \
	  ScratchPad.C ScratchPadTriangular.C ScratchPadQuadrilateral.C \
	  ScratchPadDecimation.C plydecl.C \
	  Surface.C \
	  HemisphereScratchPad.C \
	  SamplingProcess.C \
	  EmissionStrategy.C \
	  CombineEmissionStrategy.C \
	  UniformEmissionStrategy.C \
	  CosThetaEmissionStrategy.C \
	  PatchEmissionStrategy.C \
	  SamplingStrategy.C \
	  UniformBRDFSamplingStrategy.C \
	  CosThetaBRDFSamplingStrategy.C \
	  CosNThetaBRDFSamplingStrategy.C \
	  PhysicalBRDFSamplingStrategy.C \
	  CombineBRDFSamplingStrategy.C \
	  PatchBRDFSamplingStrategy.C \
	  PatchProbabilityAssigner.C \
          Hemicube.C \
	  PerceivedLuminance.C

CSRCS =


OBJECTS = ${CSRCS:.c=.o} ${CXXSRCS:.C=.o}

THISDIRFLAGS = -I. -I.. -I../POOLS -I../GDT -I../BREP -I$(SEDIR)/include $(DESTCFLAGS)



#default target: compile
all: libdest.a

# generate source file dependencies
depend:
	$(MAKEDEPEND) $(MKDEPFLAGS) $(CSRCS) $(CXXSRCS) > deps

libdest.a: ${OBJECTS}
	$(AR) libdest.a $(OBJECTS)
	$(RANLIB) libdest.a

install:

uninstall:

# make a clean source tree again
cleanhere: cleangen
	-${RM} libdest.a

clean: cleanhere

distclean: clean

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
include deps
